Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.droolsjbpm.services.impl.model
Class BAMTaskSummary

    java.lang.Object
      org.droolsjbpm.services.impl.model.BAMTaskSummary

All Implemented Interfaces:
  Serializable

    @Entity
    public class BAMTaskSummary

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`BAMTaskSummary()`
`BAMTaskSummary(long taskId, String name, String status, Date createdDate, String userId, long processInstanceId)`

Method Summary
`Long` | `getDuration()`
`Date` | `getEndDate()`
`String` | `getName()`
`long` | `getProcessInstanceId()`
`Date` | `getStartDate()`
`String` | `getStatus()`
`long` | `getTaskId()`
`String` | `getUserId()`
`void` | `setDuration(Long duration)`
`void` | `setEndDate(Date endDate)`
`void` | `setName(String name)`
`void` | `setProcessInstanceId(long processInstanceId)`
`void` | `setStartDate(Date startDate)`
`void` | `setStatus(String status)`
`void` | `setTaskId(long taskId)`
`void` | `setUserId(String userId)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BAMTaskSummary

    public BAMTaskSummary()

### BAMTaskSummary

    public BAMTaskSummary(long taskId,
                          String name,
                          String status,
                          Date createdDate,
                          String userId,
                          long processInstanceId)

Method Detail

### getTaskId

    public long getTaskId()

### setTaskId

    public void setTaskId(long taskId)

### getName

    public String getName()

### setName

    public void setName(String name)

### getStartDate

    public Date getStartDate()

### setStartDate

    public void setStartDate(Date startDate)

### getEndDate

    public Date getEndDate()

### setEndDate

    public void setEndDate(Date endDate)

### getUserId

    public String getUserId()

### setUserId

    public void setUserId(String userId)

### getDuration

    public Long getDuration()

### setDuration

    public void setDuration(Long duration)

### getStatus

    public String getStatus()

### setStatus

    public void setStatus(String status)

### getProcessInstanceId

    public long getProcessInstanceId()

### setProcessInstanceId

    public void setProcessInstanceId(long processInstanceId)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.